System requirements for macOS Catalina: Which Macs support macOS 11?

macOS Big Sur system requirements: Which Macs and MacBooks support macOS 11?

The system requirements for it have skyrocketed over the last couple of years. Catalina and Mojave came about after dropping support for some older Macs a bit. Mojave has supported Apple computers released since 2012 while Catalina has supported Macs released since 2012. This carried over mostly to 2013 models for Big Sur.

Going back to 2017, High Sierra ran on many older machines, even from 2009.

Which Macs can run macOS 11 Big Sur?

  • MacBook (2015 or newer)
  • MacBook Air (2013 or newer)
  • MacBook Pro (Late 2013 or newer)
  • Mac mini (2014 or newer)
  • iMac (2014 or newer)
  • iMac Pro (since 2017)
  • Mac Pro (2013 or newer)

Compatibility requirements have jumped by about a year, depending on the model, since the Catalina update, with MacBook Air and MacBook Pro models specifically from 2012 to 2013. 

Of course, Apple can't maintain its hardware forever. Some of the new features require more advanced processors, and the older the machine, the less powerful it is usually.

1/5 - (1 votes)
Do not miss:  How to choose the right laptop for work
Translate »